PPC-64 generates this somewhat cryptic compiler warning:

  CC      drivers/md/dm-log.o
drivers/md/dm-log.c: In function `count_bits':
drivers/md/dm-log.c:433: warning: passing arg 1 of `find_next_bit' discards qualifiers from pointer target type
drivers/md/dm-log.c:436: warning: passing arg 1 of `find_next_bit' discards qualifiers from pointer target type

Removing the "const" qualifier from dm-log.c::count_bits() eliminates the
warning.

--- diff/drivers/md/dm-log.c	2004-04-06 15:55:55.804901800 +0100
+++ source/drivers/md/dm-log.c	2004-04-06 15:56:04.922515712 +0100
@@ -424,7 +424,7 @@ static void disk_dtr(struct dirty_log *l
 	core_dtr(log);
 }
 
-static int count_bits(const unsigned long *addr, unsigned size)
+static int count_bits(unsigned long *addr, unsigned size)
 {
 	/* FIXME: test this */
 #if 1
@@ -469,7 +469,7 @@ static int disk_resume(struct dirty_log 
 
 	/* copy clean across to sync */
 	memcpy(lc->sync_bits, lc->clean_bits, size);
-	lc->sync_count = count_bits((const unsigned long *) lc->clean_bits, size);
+	lc->sync_count = count_bits((unsigned long *) lc->clean_bits, size);
 
 	/* write the bits */
 	r = write_bits(lc);
